Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server Class Reference

Inheritance diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server

[legend]
Collaboration diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server:

[legend]
List of all members.

## Public Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server ( TAO_ServerRequest &_tao_server_request, TAO_Object_Adapter::Servant_Upcall *tao_servant_upcall,POA_ImplementationRepository::Administration *tao_impl , const char * server, const ImplementationRepository::StartupOptions & options, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual Dynamic::ParameterList* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation.
virtual Dynamic::ExceptionList* | exceptions ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
| Return the list of exceptions the current operation is capable of throwing.
virtual CORBA::Any* | result ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations.
virtual char* | target_most_derived_interface ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Return the most derived interface of the target object.
virtual CORBA::Boolean | target_is_a ( const char * id, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Returns true if the target's type corresponds to the given RepositoryId.
## Private Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server (const TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server &)
void | operator= (const TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server &)
## Private Attributes
POA_ImplementationRepository::Administration* | _tao_impl
const char* | server_
const ImplementationRepository::StartupOptions& | options_

## Constructor & Destructor Documentation

TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server ( | TAO_ServerRequest & _tao_server_request,
| TAO_Object_Adapter::Servant_Upcall * _tao_servant_upcall,
| POA_ImplementationRepository::Administration * tao_impl,
| const char * server,
| const ImplementationRepository::StartupOptions & options,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server & )`[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ServerRequestInfo.

Dynamic::ExceptionList * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::exceptions ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ServerRequestInfo.

void TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::operator= ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server & )`[private]`

CORBA::Any * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::result ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ServerRequestInfo.

CORBA::Boolean TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::target_is_a ( | const char * id,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Returns true if the target's type corresponds to the given RepositoryId. Reimplemented from TAO_ServerRequestInfo.

char * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::target_most_derived_interface ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Return the most derived interface of the target object. Reimplemented from TAO_ServerRequestInfo.

## Member Data Documentation

POA_ImplementationRepository::Administration * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::_tao_impl`[private]`

const ImplementationRepository::StartupOptions & TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::options_`[private]`

const char * TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server::server_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoS.cpp